import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { FireEnjinFetchEvent } from "@fireenjin/sdk";
import { Totaller } from "../../../sdk";
export declare class TotalGraph implements ComponentInterface {
  sumKeyToIndex: {
    [sumKey: string]: number;
  };
  groupToDateFormat: {
    [groupBy: string]: string;
  };
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  totallerId: string;
  type: "bar" | "line" | "pie";
  totaller: Totaller;
  labels: string[];
  dataSets: any[];
  groupBy: string;
  options: string[];
  paths: {
    [totallerId: string]: any;
  };
  totals: {
    [totallerId: string]: any;
  };
  sumKeys: string[];
  ongroupByChanged(): void;
  onSuccess(event: any): Promise<void>;
  filterTotals(allTotals: any[]): void;
  populateGraph(totaller: Totaller): void;
  randomNumber(): number;
  randomColor(): string;
  renderPathTemplate(totallerId: string, pathStr: string, timestamp?: Date): string;
  fetchTotaller(): Promise<void>;
  fetchTotals(totallerId: string, totalsPath: string, timestamp?: Date): Promise<void>;
  componentDidLoad(): Promise<void>;
  render(): any;
}
